Have opinions about JavaScript? We want to hear them. Take the 2018 JavaScript Ecosystem Survey »

This package has been deprecated

Author message:

Use Babel instead.

broccoli-regenerator

4.0.0 • Public • Published

Deprecated

Use Babel instead.


broccoli-regenerator Build Status

Transpile ES2015 generator functions to ES5 with Regenerator

Issues with the output should be reported on the Regenerator issue tracker.

Install

$ npm install --save-dev broccoli-regenerator

Usage

var regenerator = require('broccoli-regenerator');
tree = regenerator(tree, options);

API

regenerator(tree, [options])

options.includeRuntime

Type: boolean
Default: false

A small runtime library (less than 1KB compressed) is required to provide the wrapGenerator function. You can install it either as a CommonJS module or as a standalone .js file, whichever you prefer.

License

MIT © Sindre Sorhus

install

npm i broccoli-regenerator

Downloadsweekly downloads

31

version

4.0.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability